%define name	gobject-introspection
%define version	1.46.0
%define rel	2

%define release %mkrel %{rel}

%define api		1.0
%define major		1
%define libname		%mklibname girepository %{api} %{major}
%define develname	%mklibname -d girepository

Summary:	GObject Introspection
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Patch0:         g-ir-dep-tool.patch
Patch1:		g-ir-dep-tool-lazy_loading.patch
Patch2:		gobject-introspection-1.45.3-remove-env-from-python-script-shebangs.patch
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org
BuildRequires: %{_lib}ffi-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}python-devel
BuildRequires: flex
BuildRequires: bison
BuildRequires: gnome-common
BuildRequires: libtool
BuildRequires: multiarch-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

#---------------------------------------------------------------
%if "%{_lib}" == "lib64"
%define mark64 ()(64bit)
%else
%define mark64 %nil
%endif


%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %{libname}
Group:		System/Libraries
Summary:	GObject Introspection shared library
Conflicts:	%{name} < 0.6.8-2
Requires:	%{name} >= %{version}

%description -n %{libname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%package -n %{develname}
Group:          Development/Libraries
Summary:        GObject Introspection development libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       libgirepository-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       libtool


%description -n %{develname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS TODO AUTHORS
%dir %{_libdir}/girepository-%{api}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgirepository-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/*.typelib


%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/libgirepository-%{api}.so
%{_libdir}/pkgconfig/gobject-introspection-%{api}.pc
%{_libdir}/pkgconfig/gobject-introspection-no-export-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}-%{api}
%{_bindir}/g-ir-*
%{_libdir}/%{name}
%{_datadir}/gir-%{api}
%{_mandir}/man1/*


%changelog
* Mon Dec 05 2016 adrianomorselli <adrianomorselli> 1.46.0-2uplos2016
- rebuild

* Sat Jul 23 2016 bb <bb. 1.46.0-2pclos2016
- rebuild new libffi

* Sun Sep 27 2015 bb <bb> 1.46.0-1pclos2015
- update

* Wed Jan 28 2015 bb <bb> 1.42.0-1pclos2015
- update


